package model

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	meta "git.loafle.net/overflow/commons-go/meta/model"
	probe "git.loafle.net/overflow/commons-go/probe/model"
	target "git.loafle.net/overflow/commons-go/target/model"
)

type Infra struct {
	ID            json.Number         `json:"id,Number,omitempty"`
	MetaInfraType *meta.MetaInfraType `json:"type,omitempty"`
	CreateDate    util.Timestamp      `json:"createDate,omitempty"`
	Probe         *probe.Probe        `json:"probe,omitempty"`
	Target        *target.Target      `json:"target,omitempty"`
}
