package model

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	meta "git.loafle.net/overflow/commons-go/meta/model"
)

type InfraServiceApplication struct {
	Infra
	InfraHost       *InfraHost            `json:"host,omitempty"`
	PortType        string                `json:"portType,omitempty"`
	Port            json.Number           `json:"port,omitempty"`
	MetaInfraVendor *meta.MetaInfraVendor `json:"vendor,omitempty"`
	CreateDate      util.Timestamp        `json:"createDate,omitempty"`
	TLSType         bool                  `json:"tlsType,omitempty"`
}
